require 'nokogiri'
require 'open-uri'

state_list = Nokogiri::HTML(open("http://www.topix.com/city")).css("a[href^='/state']")

state_list.each do |state|

  state_name = state.content
  state_abbr = state['href'][7..8]

  state_file = File.open("lib/states/#{state_abbr}.yml", 'w')
  state_file.puts("state: #{state_name}")
  state_file.puts("abbr: #{state_abbr}")

  city_list = Nokogiri::HTML(open("http://www.topix.com#{state['href']}"))
  cities = []

  city_list.css("a[href^='/city/']").each do |city|
    city_name = city['href'][6..-4]
    cities << city_name
  end

  # Strip of your city from the list and clear out dups
  cities = cities[1..-1]
  cities.uniq!

  state_file.puts("cities: #{cities.flatten}")
  state_file.close()

end
